﻿using Microsoft.AspNetCore.Mvc;
using Models;
using System;
using System.Collections.Generic;

namespace DynamicGrid.Server.Controllers
{
    [Route("odq")]
    public class OdqController : Controller
    {
        // Get all configurations
        [HttpGet]
        [Route("configurations")]
        public object GetConfigurations(string tache, string Etape, string champ)
        {
            // Declarations
            var configurations = new List<OdqConfigurationModel>();

            // Fake Conf One
            var configuration1 = new OdqConfigurationModel
            {
                Id = Guid.NewGuid(),
                Nom = "Celsius",
                DisplayFields = new List<OdqDisplayFieldModel>
                {
                    new OdqDisplayFieldModel { DisplayName = "Date", DataName="DateTime"},
                    new OdqDisplayFieldModel { DisplayName = "Temp C", DataName="TemperatureC"}
                }
            };
            configurations.Add(configuration1);

            // Fake Conf Two
            var configuration2 = new OdqConfigurationModel
            {
                Id = Guid.NewGuid(),
                Nom = "Summary",
                DisplayFields = new List<OdqDisplayFieldModel>
                {
                    new OdqDisplayFieldModel { DisplayName = "Date", DataName="DateTime"},
                    new OdqDisplayFieldModel { DisplayName = "Temp F", DataName="TemperatureF"},
                    new OdqDisplayFieldModel { DisplayName = "Summary", DataName="Summary"}
                }
            };
            configurations.Add(configuration2);

            var result = new
            {
                Count = configurations.Count,
                Items = configurations
            };
 
            // Done
            return configurations;
        }
    }
}
